org.osgi.framework.BundleException: The bundle "org.eclipse.equinox.ds_1.2.0.v20100507 [2]" could not be resolved. Reason: Missing Constraint: Import-Package: org.eclipse.equinox.internal.util.event; version="1.0.0"

JBoss Issue Tracker | Nick Boldt | 7 years ago
  1. 0

    Starting up Eclipse to do a PDE build as part of the uberbuilder with Eclipse 3.6 & latest basebuilder (first attempt), we get this: !SESSION 2010-05-26 17:05:20.741 ----------------------------------------------- eclipse.buildId=200905221710 java.version=1.6.0_18 java.vendor=Sun Microsystems Inc. BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US Framework arguments: -application org.eclipse.ant.core.antRunner -f /qa/hudson_ws/workspace/jbosstools-continuous-3.2.helios/org.jboss.ide.eclipse.releng/builders/product/productBuild.xml run.builders Command-line arguments: -application org.eclipse.ant.core.antRunner -data /qa/hudson_ws/workspace/jbosstools-continuous-3.2.helios/jbds-build/workspace -f /qa/hudson_ws/workspace/jbosstools-continuous-3.2.helios/org.jboss.ide.eclipse.releng/builders/product/productBuild.xml run.builders !ENTRY org.eclipse.equinox.ds 4 0 2010-05-26 17:05:26.014 !MESSAGE !STACK 0 org.osgi.framework.BundleException: The bundle "org.eclipse.equinox.ds_1.2.0.v20100507 [2]" could not be resolved. Reason: Missing Constraint: Import-Package: org.eclipse.equinox.internal.util.event; version="1.0.0" at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1317) at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1301) at org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:319) at org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:374) at org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1067) at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:561) at org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:546) at org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:459) at org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243) at org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:440) at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:227) at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:337) !ENTRY org.eclipse.update.configurator 4 0 2010-05-26 17:05:26.605 !MESSAGE Could not install bundle plugins/org.eclipse.equinox.launcher_1.1.0.v20100507.jar Bundle "org.eclipse.equinox.launcher" version "1.1.0.v20100507" has already been installed from: update@plugins/org.eclipse.equinox.launcher.jar !ENTRY org.eclipse.osgi 4 0 2010-05-26 17:05:26.648 !MESSAGE An unexpected runtime error has occurred. !STACK 0 javax.xml.parsers.FactoryConfigurationError: Provider org.apache.xerces.jaxp.SAXParserFactoryImpl not found at javax.xml.parsers.SAXParserFactory.newInstance(SAXParserFactory.java:134) at org.eclipse.core.runtime.internal.adaptor.EclipseAdaptorHook$ParsingService.createService(EclipseAdaptorHook.java:147) at org.eclipse.core.runtime.internal.adaptor.EclipseAdaptorHook$ParsingService.getService(EclipseAdaptorHook.java:139) http://hudson.qa.jboss.com/hudson/view/DevStudio/job/jbosstools-continuous-3.2.helios/ws/jbds-build/org.eclipse.releng.basebuilder/configuration/1274907921117.log No idea what's causing this, much less how to fix.

    JBoss Issue Tracker | 7 years ago | Nick Boldt
    org.osgi.framework.BundleException: The bundle "org.eclipse.equinox.ds_1.2.0.v20100507 [2]" could not be resolved. Reason: Missing Constraint: Import-Package: org.eclipse.equinox.internal.util.event; version="1.0.0"
  2. 0

    Can you help when I start the eclipse it’s show the error message

    Google Groups | 5 years ago | Sourabhd
    org.osgi.framework.BundleException: The bundle "org.eclipse.m2e.logback.configuration_1.0.100.20110804-1717 [782]" could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.core.runtime; bundle-version="3.5.0"
  3. 0

    Eclipse Community Forums: Equinox » p2 prestartupdate example fails

    eclipse.org | 1 year ago
    org.osgi.framework.BundleException: The bundle "org.eclipse.equinox.ds_1.2.1.R36x_v20100803 [25]" could not be resolved. Reason: Missing Constraint: Import-Package: org.eclipse.equinox.internal.util.event; version="1.0.0"
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    eclipse报错Missing Constraint: Require-Bundle: org.eclipse.emf.transaction

    verydemo.com | 1 year ago
    org.osgi.framework.BundleException: The bundle "org.netliving.platforrm.workflow_1.0.0.beat [1486]" could not be resolved. Reason: Missing Constraint: Require-Bundle: org.eclipse.emf.transaction; bundle-version="1.4.0"
  6. 0

    [ecf-build] Build failed in Hudson: C-HEAD-remoteservice.rosgi.feature #

    eclipse.org | 8 months ago
    org.osgi.framework.BundleException: The bundle "org.eclipse.equinox.ds_1.2.0.v20100507 [1]" could not be resolved. Reason: Missing Constraint: Import-Package: org.eclipse.equinox.internal.util.event; version="1.0.0"

    2 unregistered visitors
    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. org.osgi.framework.BundleException

      The bundle "org.eclipse.equinox.ds_1.2.0.v20100507 [2]" could not be resolved. Reason: Missing Constraint: Import-Package: org.eclipse.equinox.internal.util.event; version="1.0.0"

      at org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError()
    2. Eclipse OSGi
      StartLevelManager.dispatchEvent
      1. org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolverError(AbstractBundle.java:1317)
      2. org.eclipse.osgi.framework.internal.core.AbstractBundle.getResolutionFailureException(AbstractBundle.java:1301)
      3. org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:319)
      4. org.eclipse.osgi.framework.internal.core.AbstractBundle.resume(AbstractBundle.java:374)
      5. org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:1067)
      6. org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:561)
      7. org.eclipse.osgi.framework.internal.core.StartLevelManager.resumeBundles(StartLevelManager.java:546)
      8. org.eclipse.osgi.framework.internal.core.StartLevelManager.incFWSL(StartLevelManager.java:459)
      9. org.eclipse.osgi.framework.internal.core.StartLevelManager.doSetStartLevel(StartLevelManager.java:243)
      10. org.eclipse.osgi.framework.internal.core.StartLevelManager.dispatchEvent(StartLevelManager.java:440)
      10 frames
    3. Eclipse OSGi
      EventManager$EventThread.run
      1. org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:227)
      2. org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:337)
      2 frames